Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

The Mongo Database

Fetching latest commit…

Cannot retrieve the latest commit at this time

README
Mongo DB README

DOCUMENTATION

http://www.mongodb.org/display/DOCS/Home

COMPONENTS

mongod - The database process.
mongos - Sharding controller (sharding available later in Q209).
mongo  - The interact javascript db shell.

BUILDING

- Pre-requisite for 'mongo', the MongoDB interactive shell:

  The shell requires the library ../v8/libv8.  There is no v8 binary distro, so
  we recommend you install and build V8 as follows:

    $ cd ..
    $ svn checkout http://v8.googlecode.com/svn/trunk/ v8
    $ cd v8
    $ scons libv8.a

  To compile the unit tests, you need to install the unit test framework from:
     http://unittest.red-bean.com/

   $ cd ..
   $ svn co http://svn.red-bean.com/unittest/trunk/ unittest
   $ cd unittest
   $ ./configure
   $ make
   $ sudo make install

- Then use scons to build.

  If you want to build everything (mongod, mongo, tools, etc):

     $ scons .

  If you only want to build the database:

     $ scons

RUNNING

Run ./mongod and command line options will display.

COMPILER VERSIONS

Mongo has been tested with GCC 4.1.2 and Visual Studio 2008.  Older versions
of GCC may not be happy.

NOTES

Mongo uses the 10gen appserver and the Java Virtual Machine to execute
user program code in the database.  This feature is optional -- if you would
like to run the database without these installed, run with the --nojni
option.  With --nojni specified, the db.eval() and $where features are no
longer available.  You may still need JVM libraries which are statically linked.

Mongo uses memory mapped files.  If built as a 32 bit executable, you will
not be able to work with large (multi-gigabyte) databases.  However, 32 bit
builds work fine with small development databases.

--- WINDOWS ---

See also http://www.mongodb.org/display/DOCS/Building+for+Windows

COMPILING
   REQUIREMENTS
     - python 2.6 (for scons)
     - scons
     - boost 1.35
     - vc++ express
     - windows sdk - tested with v6.0 v6.0a
     - java sdk 1.6

    you have to add java\jdk\bin\ to your path

   scons
   mkdir \data\
   mkdir \data\db
   db\db run


Something went wrong with that request. Please try again.